Last Comment Bug 690017 - Favicons in portrait tab menu are scaled fuzzily
: Favicons in portrait tab menu are scaled fuzzily
Status: VERIFIED FIXED
[fixed in aurora]
: polish
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Firefox 9
: All All
: -- normal (vote)
: Firefox 9
Assigned To: Matt Brubeck (:mbrubeck)
:
Mentors:
Depends on:
Blocks: 655762
  Show dependency treegraph
 
Reported: 2011-09-28 11:16 PDT by Matt Brubeck (:mbrubeck)
Modified: 2011-10-14 08:02 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (664 bytes, patch)
2011-09-28 11:16 PDT, Matt Brubeck (:mbrubeck)
wjohnston2000: review+
asa: approval‑mozilla‑aurora+
Details | Diff | Review
Nightly (10/07) (54.64 KB, image/png)
2011-10-07 06:56 PDT, Aaron Train [:aaronmt]
no flags Details
Screenshot (118.59 KB, image/png)
2011-10-14 07:05 PDT, Camelia Urian
no flags Details

Description Matt Brubeck (:mbrubeck) 2011-09-28 11:16:30 PDT
Created attachment 563119 [details] [diff] [review]
patch

We should use "image-scaling: -moz-crisp-edges" in the portrait tab menu to match the urlbar and awesomescreen.
Comment 2 Michael Wu [:mwu] 2011-09-29 01:34:03 PDT
https://hg.mozilla.org/mozilla-central/rev/8734063536a1
Comment 3 Mark Finkle (:mfinkle) (use needinfo?) 2011-10-04 13:59:17 PDT
Comment on attachment 563119 [details] [diff] [review]
patch

simple change to be consistent with favicon in URL bar
Comment 4 Aaron Train [:aaronmt] 2011-10-07 06:56:10 PDT
Created attachment 565515 [details]
Nightly (10/07)

Is this fixed or related to this bug? This is what I see on Nightly (10/07). Each of the visible 4 favicons are pixelated and blurry.
Comment 5 Mark Finkle (:mfinkle) (use needinfo?) 2011-10-07 07:58:00 PDT
Comment on attachment 565515 [details]
Nightly (10/07)

Not related. The awesomescreen results are not affected by the patch.
Comment 6 Matt Brubeck (:mbrubeck) 2011-10-07 10:30:59 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/a443b54e2cab
Comment 7 Camelia Urian 2011-10-14 07:03:49 PDT
Mozilla/5.0 (Android; Linux armv7l; rv:10.0a1) Gecko/20111013 Firefox/10.0a1 Fennec/10.0a1
Mozilla/5.0 (Android; Linux armv7l; rv:9.0a2) Gecko/20111014 Firefox/9.0a2 Fennec/9.0a2
Device: Asus Transformer TF101
OS: Android 3.2 

Verified on latest Aurora and Nightly and some favicons in portrait tab menu are still blurry.
Comment 8 Camelia Urian 2011-10-14 07:05:19 PDT
Created attachment 567072 [details]
Screenshot
Comment 9 Mark Finkle (:mfinkle) (use needinfo?) 2011-10-14 07:41:39 PDT
Actually, this is the intended appearance. "Blurry" and "Fuzzy" are not really descriptive enough for the change here. We wanted to stop using a high quality "smoothing" resize for the images. Instead we want to use a lower quality resize. Any resize will cause some changes, but we wanted to minimize the change.
Comment 10 Camelia Urian 2011-10-14 08:02:58 PDT
Mozilla/5.0 (Android; Linux armv7l; rv:10.0a1) Gecko/20111013 Firefox/10.0a1 Fennec/10.0a1
Mozilla/5.0 (Android; Linux armv7l; rv:9.0a2) Gecko/20111014 Firefox/9.0a2 Fennec/9.0a2
Device: Asus Transformer TF101
OS: Android 3.2 


Based on previous comment, marking bug as verified.

Note You need to log in before you can comment on or make changes to this bug.